# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/net-www/kazehakase/kazehakase-0.0.3.ebuild,v 0.1 2003/02/02 atzm Exp $

DESCRIPTION="A browser that use Mozilla, dillo embed, w3m and etc. to render HTML."
HOMEPAGE="http://poincare.ikezoe.net/kazehakase/"
SRC_URI="mirror://sourceforge.jp/kazehakase/4381/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ~ppc ~sparc ~alpha"
IUSE=""

DEPEND="${DEPEND}
	!kazehakase-cvs
	!kazehakase-cvs-test-lirs
	net-www/mozilla
	>=dev-libs/libxml2-2.4*
	>=x11-libs/gtk+-2*"

S="${WORKDIR}/${P}"

pkg_setup(){
	if grep -v gtk2 /var/db/pkg/net-www/mozilla-[[:digit:]]*/USE > /dev/null 2>&1
	then
		echo
		eerror
		eerror "This needs mozilla used gtk2."
		eerror "To build mozilla use gtk2, please type following command:"
		eerror
		eerror "    # WANT_GTK2=\"yes\" USE=\"gtk2\" emerge mozilla"
		eerror
		die
	fi
}

src_compile(){
	./autogen.sh || die
	econf || die
	emake || die
}

src_install(){
	einstall || die
	dodoc AUTHORS COPYING* ChangeLog NEWS README* TODO*
}
